package com.yeejoin.amos.connect.common.enums;

public enum RedisKeyEnum {

    K001("K001", "AlarmParam");

    /**
     * 名称，描述
     */
    private String key;
    /**
     * 编码
     */
    private String desc;

    public static String buildKey(String bizKey, RedisKeyEnum redisKeyEnum) {
        return redisKeyEnum.getKey() + "_" + bizKey;
    }

    RedisKeyEnum(String key, String desc) {
        this.key = key;
        this.desc = desc;
    }

    public String getKey() {
        return key;
    }

    public void setKey(String key) {
        this.key = key;
    }

    public String getDesc() {
        return desc;
    }

    public void setDesc(String desc) {
        this.desc = desc;
    }
}
